Back to Kuaishou
TikHub·Kuaishou

Kuaishou Web: Fetch user info

/api/v1/kuaishou/web/fetch_user_infosync$0.003 / call

Fetch user info. Note: This API requires the user's eid, which can be extracted from the user's profile URL.. For example: In the URL https://www.kuaishou.com/profile/3xz63mn6fngqtiq, the eid is 3xz63mn6fngqtiq.. Note: Querying with uid (pure numeric user ID) is not supported.. Note: Please set the timeout to more than 30 seconds when making requests to this API, otherwise it may cause the client … (TikHub · Kuaishou Web)

Input
FieldTypeRequiredDescription
user_idstringyesUser ID (eid)

Run it

curl -s https://www.sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/kuaishou/web/fetch_user_info","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.